# $Revision: 1.23 $, $Date: 2012/05/26 18:35:06 $
Summary:	HA monitor built upon LVS, VRRP and services poller
Summary(pl.UTF-8):	Monitor HA zbudowany w oparciu o LVS, VRRP i narzędzie do sprawdzania usług
Name:		keepalived
Version:	1.2.2
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.keepalived.org/software/%{name}-%{version}.tar.gz
# Source0-md5:	f68327ca142616a8463d2d105db122cd
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-config.patch
URL:		http://www.keepalived.org/
BuildRequires:	autoconf
BuildRequires:	automake
#BuildRequires:	kernel-source >= 2.6.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Suggests:	genhash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main goal of the keepalived project is to add a strong & robust
keepalive facility to the Linux Virtual Server project. This project
is written in C with multilayer TCP/IP stack checks. Keepalived
implements a framework based on three family checks: Layer3, Layer4 &
Layer5. This framework gives the daemon the ability of checking a LVS
server pool states. When one of the server of the LVS server pool is
down, keepalived informs the Linux kernel via a setsockopt call to
remove this server entry from the LVS topology. In addition keepalived
implements a VRRPv2 stack to handle director failover. So in short
keepalived is a userspace daemon for LVS cluster nodes healthchecks
and LVS directors failover.

%description -l pl.UTF-8
Głównym celem projektu keepalived jest dodanie potężnego udogodnienia
keepalive do projektu Linux Virtual Server. Ten projekt jest napisany
w C z wielowarstwowym sprawdzaniem stosu TCP/IP. keepalived
implementuje szkielet oparty na sprawdzaniu trzech rodzin: warstwy 3,
warstwy 4 i warstwy 5. Ten szkielet daje demonowi możliwość
sprawdzania stanów puli serwerów LVS. Kiedy jeden serwer z puli
serwerów LVS przestaje działać, keepalived informuje o tym jądro
Linuksa poprzez wywołanie setsockopt w celu usunięcia wpisu o serwerze
z topologii LVS. Poza tym keepalived implementuje stos VRRPv2 do
obsługi przejmowania zadań (failover) samego urządzenia zarządzającego
(director). Czyli w skrócie keepalived to działający w przestrzeni
użytkownika demon do sprawdzania stanu węzłów klastra LVS oraz
przejmowania zadań urządzenia zarządzającego.

%package genhash
Summary:	genhash - md5 hash generation tool for remote web pages
Group:		Applications/System
Provides:	genhash

%description genhash
genhash is a tool used for generating md5sum hashes of remote web
pages. genhash can use HTTP or HTTPS to connect to the web page. The
output by this utility includes the HTTP header, page data, and the
md5sum of the data. This md5sum can then be used within the keepalived
program, for monitoring HTTP and HTTPS services.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	CFLAGS="%{rpmcflags} -include %{_includedir}/linux/errno.h -D_WITH_LINKWATCH_"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

# Cleanups:
rm -rf $RPM_BUILD_ROOT/etc/keepalived/samples
rm -f $RPM_BUILD_ROOT/etc/init.d/keepalived

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add keepalived
%service keepalived restart

%preun
if [ "$1" = "0" ]; then
	%service keepalived stop
	/sbin/chkconfig --del keepalived
fi

%files
%defattr(644,root,root,755)
%doc AUTHOR ChangeLog CONTRIBUTORS README TODO doc/samples doc/keepalived*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/keepalived/keepalived.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_sbindir}/keepalived
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %{_sysconfdir}/keepalived
%{_mandir}/man5/keepalived.conf.5*
%{_mandir}/man8/keepalived.8*

%files genhash
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/genhash
%{_mandir}/man1/genhash.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: keepalived.spec,v $
Revision 1.23  2012/05/26 18:35:06  blekot
- up to 1.2.2
- removed empty TODO list (done successfully)

Revision 1.22  2011/01/19 21:26:02  areq
- 1.2.1

Revision 1.21  2010/05/16 16:14:25  sparky
- BR: autoconf, automake

Revision 1.20  2010/04/12 19:26:02  arekm
- release 3

Revision 1.19  2009/10/19 20:43:04  mguevara
- 1.1.19-2 - use autoconf to generate configure, configure not patched
  directly anymore

Revision 1.18  2009/10/19 00:29:01  mguevara
- 1.1.19-1

Revision 1.17  2009/10/18 22:09:14  mguevara
- rel 0.4 - moved genhash to the separate package

Revision 1.16  2009/10/18 21:24:28  mguevara
- rel 0.3, added keepalived-use-linux-libc-headers.patch to use llh instead
  of kernel-headers

Revision 1.15  2009/10/18 20:12:59  mguevara
- rel 0.2 - added keepalived-config.patch - comments out the default
  config file

Revision 1.14  2009/10/18 19:57:53  mguevara
- up to 1.1.19-0.1

Revision 1.13  2009/09/26 19:28:41  areq
- 1.1.18

Revision 1.12  2009/03/06 21:24:22  areq
- 1.1.17

Revision 1.11  2009/02/16 20:16:30  areq
- 1.1.16

Revision 1.10  2007/12/28 01:32:55  zbyniu
- up to 1.1.15, man.patch obsoleted; _WITH_LINKWATCH_ forced

Revision 1.9  2007-04-17 10:58:37  blues
- started to make it for human; man.patch added

Revision 1.8  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.6  2006/11/09 18:12:53  zbyniu
- up to 1.1.13; .init .sysconfig added; %service support

Revision 1.5  2006/05/15 14:07:51  mguevara
- todo comment

Revision 1.4  2006/05/13 21:57:14  mguevara
- todo comment

Revision 1.3  2006/05/13 21:26:28  mguevara
- up to 1.1.12-0.1

Revision 1.2  2005/10/03 17:09:35  qboosh
- pl, chkconfig deps

Revision 1.1  2005/09/27 02:37:16  zbyniu
- new
